<lib-condensed-header-layout
  *transloco="let t"
  [pageTitle]="t('feature_waste.module_name')"
  [settingsPageRoute]="'./settings'"
  [useMaximumBackground]="true"
  class="ion-page"
>
  <lib-refresher (ionRefresh)="refreshView($event)"></lib-refresher>

  <ion-grid
    aria-atomic="true"
    aria-live="polite"
    class="ion-no-padding flex-list-medium"
    id="mainWaste"
  >
    <div class="intro-text">{{ t('feature_waste.dashboard.subheader') }}</div>
    @if (!collectionAreaId) {
      <lib-specify-area-card
        *ngIf="!collectionAreaId"
        (settingsMenuRequested)="navigateToSettings()"
      ></lib-specify-area-card>
    }
    @if (displayConnectivityError) {
      <lib-connectivity-error-handling-card
        [show]="displayConnectivityError"
        [title]="t('feature_waste.connectivity-error.title_dashboard')"
      >
      </lib-connectivity-error-handling-card>
    }
    @if (!contentLoadingComplete) {
      <lib-waste-bin-skeleton
        *ngIf="!contentLoadingComplete"
      ></lib-waste-bin-skeleton>
    }
    @if (
      collectionAreaId &&
      nextWasteCollection &&
      nextWasteCollection.allUpcomingDates &&
      contentLoadingComplete &&
      !displayConnectivityError
    ) {
      <ion-col
        size="12"
        *ngIf="(todayWasteCollection?.allUpcomingDates)!.length > 0"
        class="flex-list-feed-items"
      >
        <ng-container
          *ngFor="let wasteEvent of todayWasteCollection?.allUpcomingDates"
        >
          <lib-waste-bin-card
            [wasteDate]="wasteEvent"
            [nextCollectionDate]="
              getNextCollectionDate(wasteEvent.wasteType, 0)
            "
          ></lib-waste-bin-card>
        </ng-container>
      </ion-col>
      <ion-col size="12" class="flex-list-feed-items">
        <div class="header">{{ t('feature_waste.dashboard.next_dates') }}</div>
        <ng-container
          *ngFor="let wasteEvent of getUpcomingWasteTypesExcludingToday()"
        >
          <lib-waste-bin-card
            [wasteDate]="wasteEvent"
            [nextCollectionDate]="
              getNextCollectionDate(wasteEvent.wasteType, 1)
            "
          ></lib-waste-bin-card>
        </ng-container>
        <ion-row class="ion-justify-content-center esg-banner-row">
          <lib-esg-banner></lib-esg-banner>
        </ion-row>
      </ion-col>
    }

    <lib-nearby-recycling-section></lib-nearby-recycling-section>

    <ion-col class="flex-list-feed-items" size="12">
      <div
        [innerHTML]="t('feature_waste.dashboard.need_more_info_header')"
        class="esg-header"
      ></div>
      <lib-esg-info-card></lib-esg-info-card>
    </ion-col>
  </ion-grid>
</lib-condensed-header-layout>
